Bug 1007646 - XSD files for core and components shouls be placed in docs/schema directory
XSD files for core and components shouls be placed in docs/schema directory
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: CR1
: 6.0.0
Assigned To: Julian Coleman
lvaskova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 23:22 EDT by Jiri Pechanec
Modified: 2014-02-06 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-09-12 23:22:33 EDT
EAP's docs/schemas contains all XSD useful for developer as a reference guide. SY XSDs should be placed alongside them
Comment 1 Keith Babo 2014-01-08 21:57:50 EST
This BZ seems to be a bit short on the following details:
1) Which schema are included/excluded?
2) Where will the schema be placed?  Alongside the EAP schema or in a separate child directory?
3) If the answer to (2) is a separate child directory, what is the name and will all FSW schema be placed in a 'fsw' or 'soa' directory?  Or will it be by project, e.g. 'switchyard', 'overlord', etc.

I told Julian that I would provide a list of schema we use within SwitchYard, so here's that by repository.  I have separated SY schema that we created from OASIS/W3C schema that we consume for clarity.


core (SCA)
==========
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-ejb-1.1-cd02-rev2.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-jca-1.1-cd04-rev2.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-jms-1.1-csd05.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-sca-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-ws-1.1-cd04-rev2.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-binding-ws-callback-1.1-cd04-rev1.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-contribution-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-contribution-c-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-contribution-cpp-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-contribution-java-1.1-csd03.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-core-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-definitions-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-implementation-bpel-1.1-cd03.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-implementation-c-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-implementation-composite-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-implementation-cpp-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-implementation-java-1.1-csd03.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-implementation-spring-1.1-csd01.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-interface-c-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-interface-cpp-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-interface-java-1.1-csd05.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-interface-wsdl-1.1-cd06.xsd
./config/src/main/resources/org/oasis-open/docs/ns/opencsa/sca/200912/sca-policy-1.1-cd04.xsd
./config/src/main/resources/org/oasis-open/docs/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd
./config/src/main/resources/org/oasis-open/docs/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd

core (W3C)
==========
./config/src/main/resources/org/w3/www/2001/xml.xsd
./config/src/main/resources/org/w3/www/2006/03/addressing/ws-addr.xsd
./config/src/main/resources/org/w3/www/2007/02/ws-policy.xsd
./config/src/main/resources/org/w3/www/2007/05/wsdl/wsdl20-instance.xsd
./config/src/main/resources/org/w3/www/2009/01/xml.xsd
./config/src/main/resources/org/w3/www/TR/xmldsig-core/xmldsig-core-schema.xsd


core (SY)
=========
./config/src/main/resources/org/switchyard/config/model/switchyard/v1/switchyard_1_0.xsd
./config/src/main/resources/org/switchyard/config/model/switchyard/v1/switchyard_1_1.xsd
./transform/src/main/resources/org/switchyard/transform/config/model/v1/transform_1_0.xsd
./transform/src/main/resources/org/switchyard/transform/config/model/v1/transform_1_1.xsd
./validate/src/main/resources/org/switchyard/validate/config/model/v1/validate_1_0.xsd
./validate/src/main/resources/org/switchyard/validate/config/model/v1/validate_1_1.xsd

components (SY)
===============
./bean/src/main/resources/org/switchyard/component/bean/config/model/v1/bean_1_0.xsd
./bean/src/main/resources/org/switchyard/component/bean/config/model/v1/bean_1_1.xsd
./bpm/src/main/resources/org/switchyard/component/bpm/config/model/v1/bpm_1_0.xsd
./bpm/src/main/resources/org/switchyard/component/bpm/config/model/v1/bpm_1_1.xsd
./camel/camel-core/src/main/resources/org/switchyard/component/camel/core/model/v1/camel-core_1_0.xsd
./camel/camel-core/src/main/resources/org/switchyard/component/camel/core/model/v1/camel-core_1_1.xsd
./camel/camel-file/src/main/resources/org/switchyard/component/camel/file/model/v1/camel-file_1_0.xsd
./camel/camel-file/src/main/resources/org/switchyard/component/camel/file/model/v1/camel-file_1_1.xsd
./camel/camel-ftp/src/main/resources/org/switchyard/component/camel/ftp/model/v1/camel-ftp_1_0.xsd
./camel/camel-ftp/src/main/resources/org/switchyard/component/camel/ftp/model/v1/camel-ftp_1_1.xsd
./camel/camel-jms/src/main/resources/org/switchyard/component/camel/jms/model/v1/camel-jms_1_0.xsd
./camel/camel-jms/src/main/resources/org/switchyard/component/camel/jms/model/v1/camel-jms_1_1.xsd
./camel/camel-jpa/src/main/resources/org/switchyard/component/camel/jpa/model/v1/camel-jpa_1_0.xsd
./camel/camel-jpa/src/main/resources/org/switchyard/component/camel/jpa/model/v1/camel-jpa_1_1.xsd
./camel/camel-mail/src/main/resources/org/switchyard/component/camel/mail/model/v1/camel-mail_1_0.xsd
./camel/camel-mail/src/main/resources/org/switchyard/component/camel/mail/model/v1/camel-mail_1_1.xsd
./camel/camel-netty/src/main/resources/org/switchyard/component/camel/netty/model/v1/camel-netty_1_0.xsd
./camel/camel-netty/src/main/resources/org/switchyard/component/camel/netty/model/v1/camel-netty_1_1.xsd
./camel/camel-quartz/src/main/resources/org/switchyard/component/camel/quartz/model/v1/camel-quartz_1_0.xsd
./camel/camel-quartz/src/main/resources/org/switchyard/component/camel/quartz/model/v1/camel-quartz_1_1.xsd
./camel/camel-sql/src/main/resources/org/switchyard/component/camel/sql/model/v1/camel-sql_1_0.xsd
./camel/camel-sql/src/main/resources/org/switchyard/component/camel/sql/model/v1/camel-sql_1_1.xsd
./camel/component/src/main/resources/org/switchyard/component/camel/model/v1/camel-component_1_0.xsd
./camel/component/src/main/resources/org/switchyard/component/camel/model/v1/camel-component_1_1.xsd
./common/camel/src/main/resources/org/switchyard/component/camel/common/model/v1/camel-common_1_0.xsd
./common/camel/src/main/resources/org/switchyard/component/camel/common/model/v1/camel-common_1_1.xsd
./http/src/main/resources/org/switchyard/component/http/config/model/v1/http_1_0.xsd
./http/src/main/resources/org/switchyard/component/http/config/model/v1/http_1_1.xsd
./jca/src/main/resources/org/switchyard/component/jca/config/model/v1/jca_1_0.xsd
./jca/src/main/resources/org/switchyard/component/jca/config/model/v1/jca_1_1.xsd
./resteasy/src/main/resources/org/switchyard/component/resteasy/config/model/v1/resteasy_1_0.xsd
./resteasy/src/main/resources/org/switchyard/component/resteasy/config/model/v1/resteasy_1_1.xsd
./rules/src/main/resources/org/switchyard/component/rules/config/model/v1/rules_1_0.xsd
./rules/src/main/resources/org/switchyard/component/rules/config/model/v1/rules_1_1.xsd
./soap/src/main/resources/org/switchyard/component/soap/config/model/v1/soap_1_0.xsd
./soap/src/main/resources/org/switchyard/component/soap/config/model/v1/soap_1_1.xsd
Comment 2 Jiri Pechanec 2014-01-09 01:41:56 EST
Hi,
regarding the questions

1) I'd include all the files enumerated above but W3C group
2) I have no clear preference - maybe we can just follow the approach from SOA-P 5?
Comment 3 Keith Babo 2014-01-09 08:24:42 EST
BTW, I didn't mean to imply that you had to provide all those answers in the original BZ.  Just that we should all agree on the answers before this is included in the release. :-)
Comment 4 Julian Coleman 2014-01-10 04:02:03 EST
XSD files fo SwitchYard placed in subdirectories under docs/schema/soa (name consistent with modules name) with ip commit a3d38cfbe94babe1cf5245ca86dc74c1599304c0 (6.0.0-fsw branch):

  BZ-1007646
  Add XSD files for SwitchYard Core and Components to the SwitchYard zip.
Comment 5 Jiri Pechanec 2014-01-16 05:08:23 EST
Verified in CR1

Note You need to log in before you can comment on or make changes to this bug.